Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513498 - The visibility and enablement expressions for buttons are not honoured in Self Service UI
Summary: The visibility and enablement expressions for buttons are not honoured in Sel...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Chris Hale
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On: 1509959
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 14:23 UTC by Satoe Imaishi
Modified: 2018-03-06 15:09 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1509959
Environment:
Last Closed: 2018-03-06 15:09:54 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:31:02 UTC
New commit detected on ManageIQ/manageiq-ui-service/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-service/commit/8a83b3165f71657a38d36c74ae8349314ba0ffe1

commit 8a83b3165f71657a38d36c74ae8349314ba0ffe1
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Tue Nov 14 13:12:31 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 15 09:24:36 2017 -0500

    Merge pull request #1239 from chalettu/disable-custom-buttons
    
    Fixed issue with buttons not supporting being disabled
    (cherry picked from commit 70eb2df7285b67c8cad66986a9a64cd6be7657b1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513498

 .../app/services/custom-button/_custom-button.sass | 14 ++++++++
 .../custom-button/custom-button.component.js       | 39 +++++++++++-----------
 .../custom-button/custom-button.component.spec.js  |  7 ++--
 .../app/services/custom-button/custom-button.html  |  5 +--
 client/assets/sass/_app_colors.sass                |  1 +
 client/assets/sass/_colors.sass                    |  1 +
 6 files changed, 44 insertions(+), 23 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.